Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
viewwishlist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"
| $ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"
| $RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"
| $ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"
if( $Action=="MoveToCart") | $wishlist = new eZWishList()
| $session = new eZSession()
if(! $session->fetch()) if(is_numeric( $url_array[3])) | else
| $t
| $items = $wishlist->items( )
| $locale = new eZLocale( $Language )
| $currency = new eZCurrency()
| $i = 0
| $sum = 0.0
foreach( $items as $item) | $shippingCost = 0

## Variable Documentation

## ◆ $currency

$currency = new eZCurrency()

Definition at line 163 of file viewwishlist.php.

## ◆ $i

$i = 0

Definition at line 165 of file viewwishlist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 34 of file viewwishlist.php.

## ◆ $items

$items = $wishlist->items( )

Definition at line 156 of file viewwishlist.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 35 of file viewwishlist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 162 of file viewwishlist.php.

## ◆ $RequireQuantity

$RequireQuantity = $ini->variable( "eZTradeMain", "RequireQuantity" ) == "true"

Definition at line 38 of file viewwishlist.php.

## ◆ $session

$session = new eZSession()

Definition at line 77 of file viewwishlist.php.

## ◆ $shippingCost

foreach ($items as $item) $shippingCost = 0

Definition at line 287 of file viewwishlist.php.

## ◆ $ShowNamedQuantity

$ShowNamedQuantity = $ini->variable( "eZTradeMain", "ShowNamedQuantity" ) == "true"

Definition at line 37 of file viewwishlist.php.

## ◆ $ShowOptionQuantity

$ShowOptionQuantity = $ini->variable( "eZTradeMain", "ShowOptionQuantity" ) == "true"

Definition at line 39 of file viewwishlist.php.

## ◆ $ShowQuantity

$ShowQuantity = $ini->variable( "eZTradeMain", "ShowQuantity" ) == "true"

Definition at line 36 of file viewwishlist.php.

## ◆ $sum

$sum = 0.0

Definition at line 166 of file viewwishlist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
"kernel/eztrade/user/intl/", $Language, "viewwishlist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: viewwishlist.php:35
$ini
$ini
Definition: viewwishlist.php:34

Definition at line 118 of file viewwishlist.php.

## ◆ $wishlist

$wishlist = new eZWishList()

Definition at line 76 of file viewwishlist.php.

## ◆ else

if (count($items) > 0) else

Initial value:
{
eZHTTPTool::header( "Location: /trade/customerlogin/?RedirectURL=/trade/wishlist/" )
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96

Definition at line 90 of file viewwishlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.